Skip to main content
POST
/
sessions
/
{session_id}
/
chat
/
stream
Python
from meibel import MeibelClient

client = MeibelClient(api_key="your-api-key")

# Upload a file
with open("document.pdf", "rb") as f:
    result = client.agents.sessions.send_chat_message_stream("session_id_value", file=f, filename="document.pdf")
    print(result)
{
  "event": "<string>",
  "data": {
    "signal_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.meibel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Meibel-API-Key
string
header
required

Path Parameters

session_id
string
required

Body

multipart/form-data
user_message
string | null
timeout_seconds
integer | null
include_thinking
boolean | null
include_tool_activity
boolean | null
files
file[] | null

Response

Successful Response

A server-sent event indicating the stream connection has been established

event
string
required
Allowed value: "connected"
data
object
required